import { useTableStore } from '@/stores/useTable'
import { useRequest } from '@/hooks/useRequest'
import axiosInstance from '../axios/axiosInstance'

const { AllApi } = useRequest()

// 拿到所有游戏的信息
export const getAllGameInfo = async () => {
  try {
    const tableStore = useTableStore() // 这一句不要直接卸载函数外面，会导致在pinia挂载之前被调用

    if (tableStore.allGameInfo.length) return tableStore.allGameInfo
    else {
      const response = await axiosInstance.post(AllApi.getGameTable, {
        appSecret: '6YJSuc50uJ18zj45'
      })
      const result = JSON.parse(JSON.stringify(response))
      const data = result.data // 拿到返回的数据

      if (result.code === 0) {
        if (Array.isArray(data)) {
          let gameInfoList = data.map((item) => {
            return { gid: item.gid, gameName: item.gameName }
          })
          tableStore.setGameInfo(gameInfoList)
          return gameInfoList
        }
      } else {
        console.log('获取游戏列表失败')
        return []
      }
    }
  } catch (err) {
    console.log(err)
    throw new Error('获取游戏列表失败')
  }
}
